=== debian/changelog ===
valkyrie (2.0.0-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:49:22 +0000

valkyrie (2.0.0-1) unstable; urgency=low

  * New upstream release (closes: #559620, #604507, #625176, #640178).
  * New maintainer (closes: #673651).
  * Update Standards-Version and sync with Ubuntu Quantal.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Mon, 21 May 2012 13:02:42 +0000

valkyrie (1.4.0-2) unstable; urgency=low

  * Shell compatibility fixes (Closes: #543108)

 -- Hai Zaar <haizaar@haizaar.com>  Wed, 02 Sep 2009 23:56:00 +0300

valkyrie (1.4.0-1) unstable; urgency=low

  * Initial release (Closes: #372268)

 -- Hai Zaar <haizaar@haizaar.com>  Wed, 06 May 2009 14:48:00 +0300
