=== debian/control ===
Source: valkyrie
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Build-Depends: debhelper (>= 7.0.50~), libqt4-dev, valgrind (>= 3.6.0), quilt
Standards-Version: 3.9.3
Homepage: http://www.open-works.co.uk/projects/valkyrie.html

Package: valkyrie
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: valgrind (>= 3.6.0)
Description: open-source graphical user interface for the Valgrind
 Valkyrie is an open-source graphical user interface for the Valgrind
 3.6.X line. Valkyrie uses the Qt widget library, and is based on
 Valgrind`s XML output capabilities. Valkyrie is designed for simplicity
 and ease of use, whilst allowing access to the full range of Valgrind
 command-line options.
 .
 Currently, Valkyrie supports Memcheck only, although work is in progress
 to handle Cachegrind and Massif.
